# Update role Endpoint: PUT /v3/roles/{roleId} Version: v3 Security: Bearer ## Path parameters: - `roleId` (string, required) Identifier for role. Example: "4974a66b-7493-4f41-908c-58ba81093947" ## Request fields (application/json): - `name` (string, required) Name of the role. Example: "User Admin" - `description` (string, required) A short description of the role mentioning what can it do. Example: "Manage users for the company." - `permissions` (array, required) Permissions granted to the role. - `permissions.permission` (string, required) Permission Enum: "PLATFORM_MANAGEMENT", "TMC_MANAGEMENT", "COMPANY_MANAGEMENT", "USER_MANAGEMENT", "USER_PROFILE", "EVENT_MANAGEMENT", "REPORT_MANAGEMENT", "ACCESS_MANAGEMENT", "TRIP_MANAGEMENT", "AGENT", "DEVELOPER_PLATFORM_MANAGEMENT", "THIRD_PARTY_NOTIFICATION_MANAGEMENT" - `permissions.actions` (array, required) Actions allowed on the permission like read/write/delete. Enum: "ALL", "CREATE", "READ", "WRITE", "DELETE", "PURGE" ## Response 400 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 200 fields